Parameters
JSON body
Request body
application/jsoncomplaintExternalIdstringRequiredcarrierConfigurationExternalIdstringRequiredserviceCodestringOptionalweightGnumberRequiredRange: 1–100000
sendToCustomerbooleanOptionalUses the order delivery address as sender and the carrier account sender address as recipient. Packeta returns are label-less (drop-off code); other carriers return a label. With sendToCustomer the customer gets the complaint-return-label e-mail.
JSON body
complaintExternalIdstringRequiredcarrierConfigurationExternalIdstringRequiredserviceCodestringOptionalweightGnumberRequiredsendToCustomerbooleanOptional1 status code documented
This response returns no JSON body.
{
"success": true
}POST /bff/shipment/complaint-return
curl -X POST "https://api.bizkithub.com/bff/shipment/complaint-return" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"complaintExternalId": "example_complaintExternalId",
"carrierConfigurationExternalId": "example_carrierConfigurationExternalId",
"serviceCode": "example_serviceCode",
"weightG": 0,
"sendToCustomer": false
}'All BizKitHub public API endpoints require authentication via API key.